{% extends "base.html" %}
{% load i18n %}
{% load static %}

{% block title %}{% trans 'Корзина' %}{% endblock %}

{% block content %}
    <h1>{% trans 'Ваша корзина' %}</h1>
    <table class="table">
      <thead>
        <tr>
            <th scope="col">{% trans 'Продукт' %}</th>
            <th scope="col">{% trans 'Количество' %}</th>
            <th scope="col">{% trans 'Удалить' %}</th>
            <th scope="col">{% trans 'Цена за 1 шт' %}</th>
            <th scope="col">{% trans 'Цена' %}</th>
        </tr>
      </thead>
      <tbody>
        {% for item in cart %}
            {% with product=item.product %}
                <tr>
                     <th>
                         <a href="{{ product.get_absolute_url }}">
                             <img src="{{ product.image.url }}" alt="Card image cap" class="mr-3" alt="..." width="150" height="150">
                         </a>
                         <h6><a href="{{ product.get_absolute_url }}">{{ product.name }}</a><td>
                           {#{{ product.name }}#}
                     </th>
                    <td>
                        <form action="{% url "cart:cart_add" product.id %}" method="post">
                          {{ item.update_quantity_form.quantity }}
                            {{ item.update_quantity_form.update }}
                            <button type="submit">{% trans 'Обновить' %}</button>
                            {% csrf_token %}
                        </form>
                    </td>
                    <td>
                        <a href="{% url "cart:cart_remove" product.id%}">{% trans 'Удалить товар из корзины' %}</a>
                    </td>
                    <td>{{ item.price }} {% trans 'руб' %}</td>
                    <td>{{ item.total_price }} {% trans 'руб' %}</td>

                </tr>
            {% endwith %}
        {% endfor %}


        <tr>
           <th scope="col"></th>
           <th scope="col"></th>
           <th scope="col"></th>
           <th scope="col">{% trans 'Цена за все' %}</th>
           <th scope="col">{{ cart.get_total_price }} {% trans 'руб' %}</th>
        </tr>
      </tbody>
    </table>
        <br>
        <br>

    <p class="text-center nav_text">
        <a href="{% url "product" %}" class="btn-lg btn-light">{% trans 'Вернуться в каталог' %}</a>



        <a href="{% url "orders:order_create" %}" class="btn-lg btn-light"> {% trans 'Оформить заказ' %} </a>
    </p>
{% endblock %}